<div class="h1-block">
  <h1>MY POSTS</h1>
</div>

<div class="row">
  <div class="col-lg-12">
      <%= form_tag post_index_path, method: :get do %>
        <div class="input-group">
        <%= text_field_tag :tag, params[:tag], placeholder: 'Search by tags...', :class=> "form-control"%>
        <span class="input-group-btn">
          <%= submit_tag 'Search', name: nil, method: :get, :class=> "btn btn-default" %>
        </span>
        </div>
      <% end %>
  </div><!-- /.col-lg-6 -->
</div><!-- /.row -->


<!-- POSTS CARDS -->
<div class="row">
  <% @current_user_posts.each do |post| %>
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <% unless post.image_file_name.nil? %>
        <%= link_to post_path(post) do %>
          <%= image_tag post.image.url(:medium) %>
        <% end %>
      <% end %>  
      <div class="caption">
        <h3><%= link_to post.title, post_path(post), :class=> "black" %></h3>
        <!-- <p>...</p> -->
        <p><br/>
          <%= link_to 'Edit', edit_post_path(post), :class=> "btn btn-green" %>
          <%= link_to 'Delete', post_path(post),
                      method: :delete,
                      data: { confirm: 'Are you sure?' }, :class=> "btn btn-danger" %>
        </p>
      </div>
    </div>
  </div>
  <% end %>
</div><!--/row-->


